{"openapi":"3.0.0","servers":[{"url":"https://84o.link","description":"New Server 1"}],"info":{"version":"1.0.0","title":"84O Link","description":"The API for the EatBacon IOT project"},"paths":{"/devices":{"get":{"tags":["Device"],"description":"returns all registered devices","operationId":"getDevices","parameters":[{"in":"query","name":"skip","description":"number of records to skip","schema":{"type":"integer","format":"int32"}},{"in":"query","name":"limit","description":"max number of records to return","schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"All the devices","content":{"application/json":{"schema":{"type":"array","items":{"type":"string","format":"uri","example":"http://10.0.0.225:8080"}}}}}}},"post":{"tags":["Device"],"operationId":"register","responses":{"200":{"description":"successfully registered device"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeviceRegistrationInfo"}}}}}}}}